Query on ignite-kafka artifact (ignite-kafka-ext)

classic Classic list List threaded Threaded
2 messages Options
vbm vbm
Reply | Threaded
Open this post in threaded view
|

Query on ignite-kafka artifact (ignite-kafka-ext)

Hi,

In 2.9.0 release of Ignite, ignite-kafka module was part of the ignite git.
Now when I check in master branch kafka module is not present, it has been
moved to https://github.com/apache/ignite-extensions

Also in maven repository I see there is new artifact corresponding to
ignite-extensions for kafka.
<dependency>
    <groupId>org.apache.ignite</groupId>
    <artifactId>ignite-kafka-ext</artifactId>
    <version>1.0.0</version>
</dependency>

To which version of ignite is this compatible ? Can this be used with ignite
2.10.0 master branch ?
When will the next release of ignite-kafka-ext be done ? Will it be done
along with ignite release ?


Regards,
Vishwas



--
Sent from: http://apache-ignite-users.70518.x6.nabble.com/
akurbanov akurbanov
Reply | Threaded
Open this post in threaded view
|

Re: Query on ignite-kafka artifact (ignite-kafka-ext)

Hello,

Please refer to the ticket in IGNITE JIRA dedicated to moving kafka
integration into ignite-extensions repository:
https://issues.apache.org/jira/browse/IGNITE-13394

The details for the change and the discussion mail thread are linked to the
ticket.

>To which version of ignite is this compatible ? Can this be used with
ignite
2.10.0 master branch ?

Currently, they will be considered to be compatible with the latest Apache
Ignite release. On each release the extensions should be verified and
changed if any updates are required, after this a release of extension
component will be peformed. For more details please refer to:
http://apache-ignite-developers.2346864.n4.nabble.com/DISCUSS-dependencies-and-release-process-for-Ignite-Extensions-td44478.html

Best regards,
Anton



--
Sent from: http://apache-ignite-users.70518.x6.nabble.com/